Table of Contents

## Name

XtAppAddBlockHook, XtRemoveBlockHook - register a block hook procedure

## Syntax

XtBlockHookId XtAppAddBlockHook(XtAppContext app_context,
  XtBlockHookProc proc, XtPointer client_data);
void XtRemoveBlockHook(XtBlockHookId id);

## Arguments

Specifies the application context.

Specifies the block hook procedure.

Specifies the application-specific data to be passed to the block hook.

## Description

XtAppAddBlockHook registers the specified procedure and returns an identifier for it. The hook is called at any time in the future when the Intrinsics are about to block pending some input.

Block hook procedures are removed automatically and the XtBlockHookId is destroyed when the application context in which they were added is destroyed.

XtRemoveBlockHook removes the specified block hook procedure from the list in which it was registered.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also